<div *ngIf="form.errors && form.touched" class="invalid-feedback d-block">
  <div *ngIf="form.errors.required || form.errors.trimError"> {{required}} </div>
  <div *ngIf="form.errors.pattern"> {{pattern}} </div>
  <div *ngIf="form.errors.validatePhoneNumber">{{validatePhoneNumber}}</div>
  <!-- <div *ngIf="form.errors.email">{{email}}</div> -->
  <div *ngIf="form.errors.ConfirmedValidator">{{ConfirmedValidator}}</div>
  <div *ngIf="form.errors.notEqual">{{notEqual}}</div>
  <div *ngIf="form.errors.min"> {{min}} </div>
  <div *ngIf="form.errors.max"> {{max}} </div>
  <div *ngIf="form.errors.invalid"> {{invalid}} </div>
  <div *ngIf="form.errors.maxlength">Maximum limit is {{form.errors.maxlength.requiredLength}}.</div>
  <div *ngIf="form.errors.minlength">Minimum limit is {{form.errors.minlength.requiredLength}}.</div>
</div>